// Code generated by protoc-gen-go. DO NOT EDIT.
// source: proto/target/target.proto

package target

/*
Package target contains messages for defining a configuration of a caching
collector to connect to multiple gNMI targets.
*/

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import gnmi "github.com/openconfig/gnmi/proto/gnmi"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

// Configuration holds all information necessary for a caching gNMI collector
// to establish subscriptions to a list of gNMI targets.
type Configuration struct {
	// Request is a keyed list of all SubscriptionRequests that can be sent to
	// to targets in the Configuration.
	// The request must have at minimum a SubscriptionList with a prefix
	// containing origin and one or more Subscriptions.  Only the STREAM mode is
	// supported.
	Request map[string]*gnmi.SubscribeRequest `protobuf:"bytes,1,rep,name=request,proto3" json:"request,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	// Target is the full list of targets connected to by a caching gNMI
	// collector.  The key of the map is a unique name to identify a target and
	// is set in the prefix.target of a SubscriptionRequest message when connecting
	// to each respective target.
	Target               map[string]*Target `protobuf:"bytes,2,rep,name=target,proto3" json:"target,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *Configuration) Reset()         { *m = Configuration{} }
func (m *Configuration) String() string { return proto.CompactTextString(m) }
func (*Configuration) ProtoMessage()    {}
func (*Configuration) Descriptor() ([]byte, []int) {
	return fileDescriptor_target_93a74a06eaefb8aa, []int{0}
}
func (m *Configuration) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Configuration.Unmarshal(m, b)
}
func (m *Configuration) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Configuration.Marshal(b, m, deterministic)
}
func (dst *Configuration) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Configuration.Merge(dst, src)
}
func (m *Configuration) XXX_Size() int {
	return xxx_messageInfo_Configuration.Size(m)
}
func (m *Configuration) XXX_DiscardUnknown() {
	xxx_messageInfo_Configuration.DiscardUnknown(m)
}

var xxx_messageInfo_Configuration proto.InternalMessageInfo

func (m *Configuration) GetRequest() map[string]*gnmi.SubscribeRequest {
	if m != nil {
		return m.Request
	}
	return nil
}

func (m *Configuration) GetTarget() map[string]*Target {
	if m != nil {
		return m.Target
	}
	return nil
}

// Target is the information necessary to establish a single gNMI Subscribe RPC
// to be collected and cached.
type Target struct {
	// An address and port or name that resolves to an address and port.
	Address string `protobuf:"bytes,1,opt,name=address,proto3" json:"address,omitempty"`
	// Credentials to use in metadata for authorization of the RPC
	Credentials *Credentials `protobuf:"bytes,2,opt,name=credentials,proto3" json:"credentials,omitempty"`
	// The request to be sent to the target. The string supplied is looked up in
	// the request map of the Configuration message.
	Request              string   `protobuf:"bytes,3,opt,name=request,proto3" json:"request,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Target) Reset()         { *m = Target{} }
func (m *Target) String() string { return proto.CompactTextString(m) }
func (*Target) ProtoMessage()    {}
func (*Target) Descriptor() ([]byte, []int) {
	return fileDescriptor_target_93a74a06eaefb8aa, []int{1}
}
func (m *Target) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Target.Unmarshal(m, b)
}
func (m *Target) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Target.Marshal(b, m, deterministic)
}
func (dst *Target) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Target.Merge(dst, src)
}
func (m *Target) XXX_Size() int {
	return xxx_messageInfo_Target.Size(m)
}
func (m *Target) XXX_DiscardUnknown() {
	xxx_messageInfo_Target.DiscardUnknown(m)
}

var xxx_messageInfo_Target proto.InternalMessageInfo

func (m *Target) GetAddress() string {
	if m != nil {
		return m.Address
	}
	return ""
}

func (m *Target) GetCredentials() *Credentials {
	if m != nil {
		return m.Credentials
	}
	return nil
}

func (m *Target) GetRequest() string {
	if m != nil {
		return m.Request
	}
	return ""
}

// Credentials contains the fields necessary for authentication of the client to
// the target.
type Credentials struct {
	Username             string   `protobuf:"bytes,1,opt,name=username,proto3" json:"username,omitempty"`
	Password             string   `protobuf:"bytes,2,opt,name=password,proto3" json:"password,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Credentials) Reset()         { *m = Credentials{} }
func (m *Credentials) String() string { return proto.CompactTextString(m) }
func (*Credentials) ProtoMessage()    {}
func (*Credentials) Descriptor() ([]byte, []int) {
	return fileDescriptor_target_93a74a06eaefb8aa, []int{2}
}
func (m *Credentials) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Credentials.Unmarshal(m, b)
}
func (m *Credentials) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Credentials.Marshal(b, m, deterministic)
}
func (dst *Credentials) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Credentials.Merge(dst, src)
}
func (m *Credentials) XXX_Size() int {
	return xxx_messageInfo_Credentials.Size(m)
}
func (m *Credentials) XXX_DiscardUnknown() {
	xxx_messageInfo_Credentials.DiscardUnknown(m)
}

var xxx_messageInfo_Credentials proto.InternalMessageInfo

func (m *Credentials) GetUsername() string {
	if m != nil {
		return m.Username
	}
	return ""
}

func (m *Credentials) GetPassword() string {
	if m != nil {
		return m.Password
	}
	return ""
}

func init() {
	proto.RegisterType((*Configuration)(nil), "target.Configuration")
	proto.RegisterMapType((map[string]*gnmi.SubscribeRequest)(nil), "target.Configuration.RequestEntry")
	proto.RegisterMapType((map[string]*Target)(nil), "target.Configuration.TargetEntry")
	proto.RegisterType((*Target)(nil), "target.Target")
	proto.RegisterType((*Credentials)(nil), "target.Credentials")
}

func init() { proto.RegisterFile("proto/target/target.proto", fileDescriptor_target_93a74a06eaefb8aa) }

var fileDescriptor_target_93a74a06eaefb8aa = []byte{
	// 315 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x6c, 0x91, 0xcf, 0x4a, 0xc3, 0x40,
	0x10, 0xc6, 0x49, 0x8a, 0xad, 0x9d, 0xa8, 0xc8, 0x0a, 0x12, 0x7b, 0xaa, 0xc1, 0x43, 0x0f, 0x92,
	0x48, 0x45, 0x50, 0xf1, 0x26, 0x3d, 0x78, 0x5d, 0x7d, 0x81, 0x4d, 0x32, 0xc6, 0xc5, 0x76, 0xb7,
	0xee, 0x1f, 0xa5, 0x4f, 0xe4, 0x6b, 0x4a, 0x76, 0x37, 0x35, 0x85, 0x5e, 0x92, 0xfd, 0x66, 0xbf,
	0xdf, 0x37, 0x93, 0x09, 0x5c, 0xac, 0x95, 0x34, 0xb2, 0x30, 0x4c, 0x35, 0x68, 0xc2, 0x2b, 0x77,
	0x35, 0x32, 0xf4, 0x6a, 0x72, 0xd3, 0x70, 0xf3, 0x61, 0xcb, 0xbc, 0x92, 0xab, 0x42, 0xae, 0x51,
	0x54, 0x52, 0xbc, 0xf3, 0xa6, 0x68, 0xc4, 0x8a, 0x17, 0x9e, 0x76, 0xc7, 0xf6, 0xe1, 0xc9, 0xec,
	0x37, 0x86, 0xe3, 0x67, 0xe7, 0xb2, 0x8a, 0x19, 0x2e, 0x05, 0x79, 0x82, 0x91, 0xc2, 0x2f, 0x8b,
	0xda, 0xa4, 0xd1, 0x74, 0x30, 0x4b, 0xe6, 0x59, 0x1e, 0x7a, 0xed, 0xf8, 0x72, 0xea, 0x4d, 0x0b,
	0x61, 0xd4, 0x86, 0x76, 0x08, 0x79, 0x80, 0x30, 0x4b, 0x1a, 0x3b, 0xf8, 0x72, 0x3f, 0xfc, 0xe6,
	0x8a, 0x9e, 0xed, 0x86, 0xa7, 0x70, 0xd4, 0xcf, 0x24, 0xa7, 0x30, 0xf8, 0xc4, 0x4d, 0x1a, 0x4d,
	0xa3, 0xd9, 0x98, 0xb6, 0x47, 0x72, 0x0d, 0x07, 0xdf, 0x6c, 0x69, 0x31, 0x8d, 0xa7, 0xd1, 0x2c,
	0x99, 0x9f, 0xe7, 0xee, 0x43, 0x5e, 0x6d, 0xa9, 0x2b, 0xc5, 0x4b, 0x0c, 0x34, 0xf5, 0xa6, 0xc7,
	0xf8, 0x3e, 0x9a, 0xbc, 0x40, 0xd2, 0x6b, 0xb5, 0x27, 0xf2, 0x6a, 0x37, 0xf2, 0xa4, 0x1b, 0xd7,
	0x53, 0xbd, 0xa8, 0x4c, 0xc3, 0xd0, 0x17, 0x49, 0x0a, 0x23, 0x56, 0xd7, 0x0a, 0xb5, 0x0e, 0x49,
	0x9d, 0x24, 0x77, 0x90, 0x54, 0x0a, 0x6b, 0x14, 0x86, 0xb3, 0xa5, 0x0e, 0x99, 0x67, 0xdb, 0x15,
	0xfc, 0x5f, 0xd1, 0xbe, 0xaf, 0x0d, 0xec, 0x56, 0x3e, 0xf0, 0x81, 0x41, 0x66, 0x0b, 0x48, 0x7a,
	0x14, 0x99, 0xc0, 0xa1, 0xd5, 0xa8, 0x04, 0x5b, 0x61, 0x68, 0xbd, 0xd5, 0xed, 0xdd, 0x9a, 0x69,
	0xfd, 0x23, 0x55, 0xed, 0x1a, 0x8f, 0xe9, 0x56, 0x97, 0x43, 0xf7, 0xb3, 0x6f, 0xff, 0x02, 0x00,
	0x00, 0xff, 0xff, 0xc1, 0x51, 0xaf, 0x98, 0x43, 0x02, 0x00, 0x00,
}
